[FEATURE] Add a clear all cache button to install tool

This implements a clear all cache functionality to the install tool.

The implementation is different from the existing backend solution
so that it at least partly clears caches even if some broken
extension is loaded that would kill the operation.

To achieve that, first a low level removal of typo3temp/Cache is
performed, then all table names starting with "cf_" are truncated
with direct database calls. After that ext_localconf and ext_tables
of extension are loaded (this may fatal) and the final cache
configuration is then feeded to the cache manager that executes
the usual flushCaches() call.

Change-Id: Ibd717b0d34bd5b8737a73acebf4632fed38c4d8c
Releases: 6.2
Reviewed-on: https://review.typo3.org/22633
Reviewed-by: Susanne Moog
Tested-by: Susanne Moog
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters

History
#1 - 2013-07-27 23:10 - Christian Kuhn
- Tracker changed from Bug to Feature

#2 - 2013-07-27 23:16 - Gerrit Code Review
- Status changed from New to Under Review
Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22633

#3 - 2013-07-28 14:30 - Christian Kuhn
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:9c6d50290ec4fc0cd9bff61f6959ae754cbe5e8c.

#4 - 2013-07-28 16:48 - Christian Kuhn
- Parent task set to #49162
